Package org.eclipse.wst.xsl.ui.internal.contentoutline

## org.eclipse.wst.xsl.ui.internal.contentoutline
Class JFaceNodeAdapterFactory.CMDocumentManagerListenerImpl

    public class JFaceNodeAdapterFactory.CMDocumentManagerListenerImpl
    extends java.lang.Object

## Constructor Summary

`JFaceNodeAdapterFactory.CMDocumentManagerListenerImpl()`

## Method Summary

`public void` | `cacheCleared(CMDocumentCache cache)`
`public void` | `cacheUpdated(CMDocumentCache cache , java.lang.String uri , int oldStatus , int newStatus , CMDocument cmDocument)`
`public void` | `propertyChanged(CMDocumentManager cmDocumentManager , java.lang.String propertyName)`

## Constructor Detail

## JFaceNodeAdapterFactory.CMDocumentManagerListenerImpl

`public JFaceNodeAdapterFactory.CMDocumentManagerListenerImpl()`

## Methods Detail

## cacheCleared

`public void cacheCleared(CMDocumentCache cache)`

### Parameters

`cache`

## cacheUpdated

`public void cacheUpdated(CMDocumentCache cache , java.lang.String uri , int oldStatus , int newStatus , CMDocument cmDocument)`

### Parameters

`cache`

`uri`

`oldStatus`

`newStatus`

`cmDocument`

## propertyChanged

`public void propertyChanged(CMDocumentManager cmDocumentManager , java.lang.String propertyName)`

### Parameters

`cmDocumentManager`

`propertyName`